Skip to main content
POST
/
responses
Create Response (OpenAI Responses API)
curl --request POST \
  --url https://api.llmrouter.app/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": [
    {
      "content": "<string>",
      "name": "<string>"
    }
  ],
  "gateway": {
    "zdr": true,
    "order": [
      "<string>"
    ],
    "only": [
      "<string>"
    ],
    "planningTriggerScore": 0.5,
    "imageGenerationModel": "<string>",
    "tags": [
      {
        "name": "<string>",
        "description": "<string>",
        "models": [
          "<string>"
        ]
      }
    ],
    "chatHistoryCompression": {
      "enabled": false,
      "score": 0.6
    },
    "mediaOptimization": false,
    "toolOptimization": {
      "enabled": false,
      "acceptScore": 0.5,
      "alwaysInclude": [
        "<string>"
      ]
    },
    "redact": {
      "email": true,
      "phone": true,
      "ip": true,
      "uuid": true,
      "token": true,
      "credit_card": true,
      "iban": true,
      "ssn": true,
      "mac": true,
      "custom": [
        "<string>"
      ]
    }
  }
}
'
import requests

url = "https://api.llmrouter.app/v1/responses"

payload = {
"model": "<string>",
"input": [
{
"content": "<string>",
"name": "<string>"
}
],
"gateway": {
"zdr": True,
"order": ["<string>"],
"only": ["<string>"],
"planningTriggerScore": 0.5,
"imageGenerationModel": "<string>",
"tags": [
{
"name": "<string>",
"description": "<string>",
"models": ["<string>"]
}
],
"chatHistoryCompression": {
"enabled": False,
"score": 0.6
},
"mediaOptimization": False,
"toolOptimization": {
"enabled": False,
"acceptScore": 0.5,
"alwaysInclude": ["<string>"]
},
"redact": {
"email": True,
"phone": True,
"ip": True,
"uuid": True,
"token": True,
"credit_card": True,
"iban": True,
"ssn": True,
"mac": True,
"custom": ["<string>"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: [{content: '<string>', name: '<string>'}],
gateway: {
zdr: true,
order: ['<string>'],
only: ['<string>'],
planningTriggerScore: 0.5,
imageGenerationModel: '<string>',
tags: [{name: '<string>', description: '<string>', models: ['<string>']}],
chatHistoryCompression: {enabled: false, score: 0.6},
mediaOptimization: false,
toolOptimization: {enabled: false, acceptScore: 0.5, alwaysInclude: ['<string>']},
redact: {
email: true,
phone: true,
ip: true,
uuid: true,
token: true,
credit_card: true,
iban: true,
ssn: true,
mac: true,
custom: ['<string>']
}
}
})
};

fetch('https://api.llmrouter.app/v1/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "gen_8f90f62a-b4c1-4482-94b8-0132c42a6afb",
  "object": "response",
  "created_at": 123,
  "status": "completed",
  "output": [
    {
      "type": "message",
      "id": "<string>",
      "status": "<string>",
      "role": "assistant",
      "content": [
        {
          "type": "output_text",
          "text": "<string>",
          "annotations": [
            {}
          ],
          "logprobs": [
            {}
          ]
        }
      ]
    }
  ],
  "usage": {
    "input_tokens": 123,
    "output_tokens": 123,
    "total_tokens": 123,
    "planning_usage_details": {
      "prompt_tokens": 123,
      "completion_tokens": 123,
      "total_tokens": 123,
      "cost": 123
    }
  },
  "model": "<string>",
  "completed_at": "<unknown>",
  "incomplete_details": "<unknown>",
  "error": "<unknown>",
  "temperature": 123,
  "top_p": 123,
  "max_output_tokens": "<unknown>",
  "presence_penalty": 123,
  "frequency_penalty": 123,
  "tools": [
    {}
  ],
  "tool_choice": "auto",
  "text": {
    "format": {
      "type": "text"
    }
  },
  "output_text": "<string>"
}
{
"error": {
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

LLM Router API Key (e.g., sk-llmr-...)

Body

application/json

Responses API request parameters

Accepts any additional properties supported by the upstream Responses API (e.g., reasoning_effort, tools, instructions).

model
string
required

ID of the model to use (e.g., openai/o3)

input
object[]
required

The input conversation sequence.

gateway
object

Custom LLM Router configurations injected into the request.

Response

Successful Response generation

id
string
required

Unique identifier for the response

Example:

"gen_8f90f62a-b4c1-4482-94b8-0132c42a6afb"

object
string
required
Example:

"response"

created_at
integer
required

Unix timestamp when the response was created

status
enum<string>
required
Available options:
completed,
in_progress,
failed,
incomplete
Example:

"completed"

output
object[]
required
usage
object
required
model
string
required
completed_at
integer | null
incomplete_details
object | null
error
object | null
temperature
number
top_p
number
max_output_tokens
integer | null
presence_penalty
number
frequency_penalty
number
tools
object[]
tool_choice
string
Example:

"auto"

text
object
output_text
string

Concatenated output text for convenience